## guake 3.6.3

=== Makefile ===
.PHONY: build dev

PYTHON_INTERPRETER?=python3
MODULE:=guake
DESTDIR:=/
prefix?=/usr/local
exec_prefix:=$(prefix)
bindir = $(exec_prefix)/bin

# findout the dist-package directory name. Under most system, users can install on dist-package.
# On debian, site-package is reserved for the official python packages and has precedence over
# dist-package
PYTHON_SITE_PACKAGE_NAME:=$(shell $(PYTHON_INTERPRETER) scripts/find-first-site-package.py)
PYTHON_SITE_PACKAGE_DIR=$(prefix)/lib/python$(shell $(PYTHON_INTERPRETER) -c "import sys; v = sys.version_info; print('{}.{}'.format(v.major, v.minor))")/$(PYTHON_SITE_PACKAGE_NAME)
OLD_PREFIX:=$(DESTDIR)usr
ROOT_DIR=$(shell pwd)
DATA_DIR=$(ROOT_DIR)/guake/data
COMPILE_SCHEMA:=1

datarootdir:=$(prefix)/share
datadir:=$(datarootdir)
localedir:=$(datarootdir)/locale
gsettingsschemadir:=$(datarootdir)/glib-2.0/schemas

AUTOSTART_FOLDER:=~/.config/autostart

DEV_DATA_DIR:=$(DATA_DIR)
DEV_IMAGE_DIR:=$(DATA_DIR)/pixmaps
DEV_LOCALE_DIR:=$(localedir)
DEV_GLADE_DIR:=$(DATA_DIR)
DEV_SCHEMA_DIR:=$(DATA_DIR)
DEV_GUAKE_THEME_DIR:=$(DATA_DIR)/themes

SHARE_DIR:=$(datadir)/guake
GUAKE_THEME_DIR:=$(SHARE_DIR)/guake
LOGIN_DESTOP_PATH = $(SHARE_DIR)
IMAGE_DIR:=$(SHARE_DIR)/pixmaps
GLADE_DIR:=$(SHARE_DIR)
SCHEMA_DIR:=$(gsettingsschemadir)
SLUG:=fragment_name

default: prepare-install
	# 'make' target, so users can install guake without need to install the 'dev' dependencies

prepare-install: generate-desktop generate-paths generate-mo compile-glib-schemas-dev

reset:
	dconf reset -f /apps/guake/


all: clean dev style checks dists test docs

dev: clean-ln-venv ensure-pip pipenv-install-dev requirements ln-venv setup-githook \
	 prepare-install install-dev-locale
dev-travis: ensure-pip-system pipenv-install-dev requirements setup-githook prepare-install

ensure-pip:
	./scripts/bootstrap-dev-pip.sh

ensure-pip-system:
	./scripts/bootstrap-dev-pip.sh system

dev-no-pipenv: clean
	virtualenv --python $(PYTHON_INTERPRETER) .venv
	. .venv/bin/activate && pip install -r requirements.txt -r requirements-dev.txt -e .

pipenv-install-dev:
	pipenv install --dev --python $(PYTHON_INTERPRETER)

ln-venv:
	# use that to configure a symbolic link to the virtualenv in .venv
	rm -rf .venv
	ln -s $$(pipenv --venv) .venv

clean-ln-venv:
	@rm -f .venv

install-system: install-schemas compile-shemas install-locale install-guake

install-guake:
	# you probably want to execute this target with sudo:
	# sudo make install
	@echo "Installing from on your system is not recommended."
	@echo "Please prefer you application package manager (apt, yum, ...)"
	@$(PYTHON_INTERPRETER) -m pip install -r requirements.txt

	@if [ -f guake/paths.py.dev ]; then rm -f guake/paths.py.dev; fi
	@if [ -f guake/paths.py ]; then mv guake/paths.py guake/paths.py.dev; fi
	@cp -f guake/paths.py.in guake/paths.py
	@sed -i -e 's|{{ LOCALE_DIR }}|"$(localedir)"|g' guake/paths.py
	@sed -i -e 's|{{ IMAGE_DIR }}|"$(IMAGE_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ GLADE_DIR }}|"$(GLADE_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ GUAKE_THEME_DIR }}|"$(GUAKE_THEME_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ SCHEMA_DIR }}|"$(SCHEMA_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ LOGIN_DESTOP_PATH }}|"$(LOGIN_DESTOP_PATH)"|g' guake/paths.py
	@sed -i -e 's|{{ AUTOSTART_FOLDER }}|"$(AUTOSTART_FOLDER)"|g' guake/paths.py

	@$(PYTHON_INTERPRETER) setup.py install --root "$(DESTDIR)" --prefix="$(prefix)" --optimize=1

	@rm -f guake/paths.py
	@if [ -f guake/paths.py.dev ]; then mv guake/paths.py.dev guake/paths.py; fi

	@update-desktop-database || echo "Could not run update-desktop-database, are you root?"
	@rm -rfv build *.egg-info

install-locale:
	for f in $$(find po -iname "*.mo"); do \
		l="$${f%%.*}"; \
		lb=$$(basename $$l); \
		install -Dm644 "$$f" "$(DESTDIR)$(localedir)/$$lb/LC_MESSAGES/guake.mo"; \
	done;

install-dev-locale:
	for f in $$(find po -iname "*.mo"); do \
		l="$${f%%.*}"; \
		lb=$$(basename $$l); \
		install -Dm644 "$$f" "guake/po/$$lb/LC_MESSAGES/guake.mo"; \
	done;

uninstall-locale: install-old-locale
	find $(DESTDIR)$(localedir)/ -name "guake.mo" -exec rm -f {} \;

uninstall-dev-locale:
	@rm -rf guake/po

install-old-locale:
	@find $(OLD_PREFIX)/share/locale/ -name "guake.mo" -exec rm -f {} \;

install-schemas:
	install -Dm644 "$(DEV_DATA_DIR)/guake.desktop" "$(DESTDIR)$(prefix)/share/applications/guake.desktop"
	install -Dm644 "$(DEV_DATA_DIR)/guake-prefs.desktop" "$(DESTDIR)$(prefix)/share/applications/guake-prefs.desktop"
	install -Dm644 "$(DEV_DATA_DIR)/guake.appdata.xml" "$(DESTDIR)$(prefix)/share/metainfo/guake.appdata.xml"
	mkdir -p $(DESTDIR)$(IMAGE_DIR)
	install -Dm644 $(DEV_DATA_DIR)/pixmaps/*.png "$(DESTDIR)$(IMAGE_DIR)/"
	install -Dm644 $(DEV_DATA_DIR)/pixmaps/*.svg "$(DESTDIR)$(IMAGE_DIR)/"
	install -Dm644 $(DEV_DATA_DIR)/pixmaps/guake.png "$(DESTDIR)$(prefix)/share/pixmaps/guake.png"
	mkdir -p $(DESTDIR)$(SHARE_DIR)
	mkdir -p $(DESTDIR)$(GLADE_DIR)
	install -Dm644  $(DEV_DATA_DIR)/*.glade "$(DESTDIR)$(GLADE_DIR)"
	mkdir -p $(DESTDIR)$(SHARE_DIR)
	install -Dm644 "$(DEV_DATA_DIR)/autostart-guake.desktop" "$(DESTDIR)$(SHARE_DIR)"
	mkdir -p $(DESTDIR)$(SCHEMA_DIR)
	install -Dm644 "$(DEV_DATA_DIR)/org.guake.gschema.xml" "$(DESTDIR)$(SCHEMA_DIR)/"

compile-shemas:
	if [ $(COMPILE_SCHEMA) = 1 ]; then glib-compile-schemas $(DESTDIR)$(gsettingsschemadir); fi


uninstall-system: uninstall-schemas
	@rm -rf $(PYTHON_SITE_PACKAGE_DIR)/guake || true
	@rm -f $(bindir)/guake
	@rm -f $(bindir)/guake-prefs

purge-system: uninstall-system reset

uninstall-schemas: uninstall-old-schemas
	rm -f "$(prefix)/share/applications/guake.desktop"
	rm -f "$(prefix)/share/applications/guake-prefs.desktop"
	rm -f "$(prefix)/share/metainfo/guake.appdata.xml"
	rm -fr "$(IMAGE_DIR)"
	rm -fr "$(SHARE_DIR)"
	rm -f "$(SCHEMA_DIR)/org.guake.gschema.xml"

uninstall-old-schemas:
	@rm -f "$(OLD_PREFIX)/share/applications/guake.desktop"
	@rm -f "$(OLD_PREFIX)/share/applications/guake-prefs.desktop"
	@rm -f "$(OLD_PREFIX)/share/metainfo/guake.appdata.xml"
	@rm -f "$(OLD_PREFIX)/share/pixmaps/guake.png"
	@rm -f "$(OLD_PREFIX)/share/glib-2.0/schemas/org.guake.gschema.xml"
	@rm -f "$(OLD_PREFIX)/share/glib-2.0/schemas/schema.guake.gschema.xml"
	@rm -fr "$(OLD_PREFIX)/share/guake"
	@rm -f $(OLD_PREFIX)/lib/python$(shell $(PYTHON_INTERPRETER) -c "import sys; v = sys.version_info; print('{}.{}'.format(v.major, v.minor))")/$(PYTHON_SITE_PACKAGE_DIR)/guake/data/schema.guake.gschema.xml

reinstall:
	sudo make uninstall && make && sudo make install && $(DESTDIR)$(bindir)/guake

reinstall-v:
	sudo make uninstall && make && sudo make install && $(DESTDIR)$(bindir)/guake -v

compile-glib-schemas-dev: clean-schemas
	glib-compile-schemas --strict $(DEV_DATA_DIR)

clean-schemas:
	rm -f $(DEV_DATA_DIR)/gschemas.compiled

style: fiximports autopep8 yapf

fiximports:
	@for fil in $$(find setup.py guake -name "*.py"); do \
		echo "Sorting imports from: $$fil"; \
		pipenv run fiximports $$fil; \
	done

autopep8:
	pipenv run autopep8 --in-place --recursive setup.py $(MODULE)

yapf:
	pipenv run yapf --style .yapf --recursive -i $(MODULE)


checks: flake8 pylint reno-lint

flake8:
	pipenv run python setup.py flake8

pylint:
	pipenv run pylint --rcfile=.pylintrc --output-format=colorized $(MODULE)

sc: style check

dists: update-po requirements prepare-install rm-dists sdist bdist wheels
build: dists

sdist: generate-paths
	export SKIP_GIT_SDIST=1 && pipenv run python setup.py sdist

rm-dists:
	rm -rf build dist

bdist: generate-paths
	# pipenv run python setup.py bdist
	@echo "Ignoring build of bdist package"

wheels: generate-paths
	pipenv run python setup.py bdist_wheel

wheel: wheels

run-local: compile-glib-schemas-dev
ifdef V
	pipenv run ./scripts/run-local.sh -v
else
	pipenv run ./scripts/run-local.sh
endif

run-local-prefs: compile-glib-schemas-dev
	pipenv run ./scripts/run-local-prefs.sh

run-fr: compile-glib-schemas-dev
	LC_ALL=fr_FR.UTF8 pipenv run ./scripts/run-local.sh


shell:
	pipenv shell


test:
	pipenv run pytest $(MODULE)

test-travis:
	xvfb-run -a pipenv run pytest $(MODULE)
test-coverage:
	pipenv run py.test -v --cov $(MODULE) --cov-report term-missing

test-pip-install-sdist: clean-pip-install-local generate-paths sdist
	@echo "Testing installation by pip (will install on ~/.local)"
	pip install --upgrade -vvv --user $(shell ls -1 dist/*.tar.gz | sort | head -n 1)
	ls -la ~/.local/share/guake
	~/.local/bin/guake

clean-pip-install-local:
	@rm -rfv ~/.local/guake
	@rm -rfv ~/.local/bin/guake
	@rm -rfv ~/.local/lib/python3.*/site-packages/guake
	@rm -rfv ~/.local/share/guake

test-pip-install-wheel: clean-pip-install-local generate-paths wheel
	@echo "Testing installation by pip (will install on ~/.local)"
	pip install --upgrade -vvv --user $(shell ls -1 dist/*.whl | sort | head -n 1)
	ls -la ~/.local/share/guake
	~/.local/bin/guake -v

sct: style check update-po requirements test


docs: clean-docs sdist
	cd docs && pipenv run make html

docs-open:
	xdg-open docs/_build/html/index.html

tag-pbr:
	@{ \
		set -e ;\
		export VERSION=$$(pipenv run python setup.py --version | cut -d. -f1,2,3); \
		echo "I: Computed new version: $$VERSION"; \
		echo "I: presse ENTER to accept or type new version number:"; \
		read VERSION_OVERRIDE; \
		VERSION=$${VERSION_OVERRIDE:-$$VERSION}; \
		PROJECTNAME=$$(pipenv run python setup.py --name); \
		echo "I: Tagging $$PROJECTNAME in version $$VERSION with tag: $$VERSION" ; \
		echo "$$ git tag $$VERSION -m \"$$PROJECTNAME $$VERSION\""; \
		git tag $$VERSION -m "$$PROJECTNAME $$VERSION"; \
		echo "I: Pushing tag $$VERSION, press ENTER to continue, C-c to interrupt"; \
		echo "$$ git push upstream $$VERSION"; \
	}
	@# Note:
	@# To sign, need gpg configured and the following command:
	@#  git tag -s $$VERSION -m \"$$PROJECTNAME $$VERSION\""

pypi-publish: build
	pipenv run python setup.py upload -r pypi


update:
	pipenv update --clear
	pipenv install --dev


lock: pipenv-lock requirements

requirements:
	pipenv run pipenv_to_requirements

pipenv-lock:
	pipenv lock


freeze:
	pipenv run pip freeze


githook:
	bash git-hooks/post-commit

setup-githook:
	rm -f .git/hooks/post-commit
	cp -fv git-hooks/* .git/hooks/


push: githook
	git push origin --tags


clean: clean-ln-venv rm-dists clean-docs clean-po clean-schemas clean-py clean-paths uninstall-dev-locale
	@echo "clean successful"

clean-py:
	@pipenv --rm ; true
	@find . -name "*.pyc" -exec rm -f {} \;
	@rm -f $(DEV_DATA_DIR)/guake-prefs.desktop $(DEV_DATA_DIR)/guake.desktop
	@rm -rf .eggs *.egg-info po/*.pot

clean-paths:
	rm -f guake/paths.py guake/paths.py.dev

clean-po:
	@rm -f po/guake.pot
	@find po -name "*.mo" -exec rm -f {} \;

clean-docs:
	rm -rf doc/_build

update-po:
	echo "generating pot file"
	@find guake -iname "*.py" | xargs xgettext --from-code=UTF-8 --output=guake-python.pot
	@find $(DEV_DATA_DIR) -iname "*.glade" | sed -E "s#$(ROOT_DIR)/##g" | xargs xgettext --from-code=UTF-8 \
	                                                  -L Glade \
	                                                  --output=guake-glade.pot
	@(\
	    find $(DEV_DATA_DIR) -iname "*.desktop" | sed -E "s#$(ROOT_DIR)/##g" | xargs xgettext --from-code=UTF-8 \
		                                                  -L Desktop \
	                                                      --output=guake-desktop.pot \
	) || ( \
	    echo "Skipping .desktop files, is your gettext version < 0.19.1?" && \
	    touch guake-desktop.pot)
	@msgcat --use-first guake-python.pot guake-glade.pot guake-desktop.pot > po/guake.pot
	@rm guake-python.pot guake-glade.pot guake-desktop.pot
	@for f in $$(find po -iname "*.po"); do \
	    echo "updating $$f"; \
	    msgcat --use-first "$$f" po/guake.pot > "$$f.new"; \
	    mv "$$f.new" $$f; \
	done;

pot: update-po

generate-mo:
	@for f in $$(find po -iname "*.po"); do \
	    echo "generating $$f"; \
		l="$${f%%.*}"; \
		msgfmt "$$f" -o "$$l.mo"; \
	done;


generate-desktop:
	@echo "generating desktop files"

=== requirements.txt ===
################################################################################
# This requirements file has been automatically generated from `Pipfile` with
# `pipenv-to-requirements`
#
#
# This has been done to maintain backward compatibility with tools and services
# that do not support `Pipfile` yet.
#
# Do NOT edit it directly, use `pipenv install [-d]` to modify `Pipfile` and
# `Pipfile.lock` and then regenerate `requirements*.txt`.
################################################################################

pbr
typing ; python_version < '3.5'

=== debian/changelog ===
guake (3.6.3-2) unstable; urgency=medium

  * debian/control
    + Add gir1.2-wnck-3.0 in Depends. (Closes: #935452)

 -- Daniel Echeverry <epsilon@debian.org>  Thu, 22 Aug 2019 22:13:41 -0500

guake (3.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change my email address.
    + Update DH to 12 in B-D.
    + Bump Standards-Version 4.4.0.
    + Add python3-pytest in B-D.
  * debian/patches
    + Refresh 02_fix_data_dir_path.diff patch.
  * Update guake.install file.
  * Add guake.dirs file.
  * Update postinst.sh script.
  * Remove postrm.sh script.
  * debian/rules
    + Ignore some tests because fails in chroots environments.
    + Install schema file in right place.
  * debian/compat
    + Switch compat level 11 to 12.
  * debian/copyright
    + Add new entry guake.appdata.xml file.
    + Extend copyright holder years.
    + Remove pytest cache directory.

 -- Daniel Echeverry <epsilon@debian.org>  Tue, 20 Aug 2019 19:53:53 -0500

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Daniel Echeverry <epsilon@debian.org>
Build-Depends: debhelper (>= 12),
               dh-python,
               python3-all,
	       python3-setuptools,
	       python3-pbr,
	       python3-mock,
	       python3-pytest
Standards-Version: 4.4.0
Homepage: http://guake-project.org
Vcs-Git: https://salsa.debian.org/debian/guake.git
Vcs-Browser: https://salsa.debian.org/debian/guake

Package: guake
Architecture: all
Depends: python3-pbr,
	 python3-cairo,
	 python3-gi (>= 3.26.1),
	 python3-dbus (>= 1.2.4),
	 gir1.2-notify-0.7 (>= 0.7.7),
	 gir1.2-vte-2.91 (>= 0.50.2),
	 gir1.2-gtk-3.0 (>= 3.22.26),
	 gir1.2-keybinder-3.0 (>= 0.3.2),
	 gir1.2-glib-2.0 (>= 1.54.1),
	 gir1.2-pango-1.0 (>= 1.40.14),
	 gir1.2-wnck-3.0,
	 libglib2.0-bin,
	 libutempter0,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: numix-gtk-theme
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

=== debian/rules ===
#!/usr/bin/make -ef
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=guake
export prefix=/usr
export DESTDIR=$(CURDIR)/debian/guake/
export PYBUILD_TEST_ARGS=--ignore guake/tests/test_guake.py --ignore=guake/tests/test_about.py --ignore=guake/tests/test_notebook.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf Guake.egg-info
	rm -rf .pytest_cache
	rm -f guake/data/gschemas.compiled
	rm -rf guake/paths.py
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_auto_build:
	make generate-paths generate-mo
	dh_auto_build

override_dh_auto_install:
	make install-locale
	dh_auto_install

override_dh_install:
	dh_install -Xorg.guake.gschema.xml
	install -Dm644 guake/data/org.guake.gschema.xml $(DESTDIR)/usr/share/glib-2.0/schemas/
	
override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

## guake 3.8.5

=== debian/changelog ===
guake (3.8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add python3-setuptools-scm, python3-sphinx, python3-reno,
      python3-sphinxcontrib.programoutput, libglib2.0-dev,
      desktop-file-utils in B-D.
    + Add  ${sphinxdoc:Depends} in Depends.
  * Remove guake.install file.
  * Update guake.links file.
  * debian/guake.manpages
    + Install the manpage generated.
    + Remove debian/guake.1 manpage.
      + Now the manpage is generated with sphinxdocs. (Closes: #1003263)
  * debian/rules
    + Now we don't use pybuild anymore.
    + Use sphinxdoc to generate the doc.
    + Remove generated doc in dh_auto_clean.
  * debian/patches
    + Remove 01_dont_install_mo_files.diff patch.
      + the upstream rewrite the code.
    + Add 04_fix_manpage_name.diff patch.
    + Add Forwarded field to all patches.
  * Add autopkgtests running the upstream tests.

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 23 Feb 2022 18:29:17 -0500

guake (3.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Add 03_dont_try_compile_schemas.diff patch.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 07 Nov 2021 10:36:44 -0500

guake (3.8.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #958155, #913220, #944046)
  * debian/control
    + Add python3-gi-cairo in Depends. (Closes: #945430)
    + Add default-dbus-session-bus|dbus-session-bus in Deps. (Closes: #965324)
    + Bump standard versions 4.6.0.
    + Use debhelper-compat instead of debian/compat.
    + Mark Rules-Requires-Root: no as we don't need root for building.
    + Update my last name.
  * debian/patches
    + Refresh all patches.
  * Update d/watch file.
  * Update d/copyright file.
  * Update d/rules file.
  * Add Bugs-* fields in Metadata file.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 23 Oct 2021 18:53:10 -0500

=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Daniel Echeverri <epsilon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
	       python3-setuptools,
	       python3-pbr,
	       python3-mock,
	       python3-pytest,
	       python3-pip,
	       python3-setuptools-scm,
	       python3-sphinx,
	       python3-reno,
	       python3-sphinxcontrib.programoutput,
	       libglib2.0-dev,
	       desktop-file-utils
Standards-Version: 4.6.0
Homepage: http://guake-project.org
Vcs-Git: https://salsa.debian.org/debian/guake.git
Vcs-Browser: https://salsa.debian.org/debian/guake
Rules-Requires-Root: no

Package: guake
Architecture: all
Depends: python3-pbr,
	 python3-cairo,
	 python3-gi-cairo,
	 python3-gi (>= 3.26.1),
	 python3-dbus (>= 1.2.4),
	 gir1.2-notify-0.7 (>= 0.7.7),
	 gir1.2-vte-2.91 (>= 0.50.2),
	 gir1.2-gtk-3.0 (>= 3.22.26),
	 gir1.2-keybinder-3.0 (>= 0.3.2),
	 gir1.2-glib-2.0 (>= 1.54.1),
	 gir1.2-pango-1.0 (>= 1.40.14),
	 gir1.2-wnck-3.0,
	 default-dbus-session-bus | dbus-session-bus,
	 libglib2.0-bin,
	 libutempter0,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
	 ${sphinxdoc:Depends}
Suggests: numix-gtk-theme
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.

=== debian/rules ===
#!/usr/bin/make -ef
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export PREFIX=/usr
export DESTDIR=$(CURDIR)/debian/guake/
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	find . -type d -name '*.egg-info' | xargs rm -rf
	rm -rf .pytest_cache
	rm -f guake/data/gschemas.compiled
	rm -rf guake/paths.py guake/_version.py docs/_build
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_sphinxdoc:
	cd  docs/  && make man

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

override_dh_auto_test:
	export PIPENV_IGNORE_VIRTUALENVS=0 dh_auto_test

=== debian/tests/control ===
Tests: pytest
Depends:
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-pbr,
 python3-mock,
 python3-pip,
 python3-setuptools-scm,
 python3-sphinx,
 python3-reno,
 python3-sphinxcontrib.programoutput,
 python3-pytest-mock,
 python3-pyfakefs
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%guake-$1.tar.gz%" \
 https://github.com/Guake/guake/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## guake 3.9.0

=== requirements.txt ===
--- 
+++ 
@@ -11,4 +11,5 @@
 ################################################################################
 
 pbr
-typing ; python_version < '3.5'
+typing ; python_version > '3.5'
+wheel

=== debian/changelog ===
guake (3.9.0-2) unstable; urgency=medium

  * debian/patches
    + Add 05_set_scripts_path.diff
      + Fix FTBFS with more recent python3-setuptools.
        Set install script path in setup.cfg to install
        scripts into /usr/bin/ (Closes: #1022346)
  * debian/copyright
    + Extend debian copyright holder years.
  * Update watch file.
  * debian/tests/control
    + Use python3 instead python3-all in Depends.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 29 Oct 2022 19:02:50 -0500

guake (3.9.0-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * Slightly yak shave debian/rules.
  * Update dependencies: python3-pbr to -setuptools-scm
  * New upstream release.
  * Fix link (closes: #1006680)
  * Bump policy.

  [ Daniel Echeverri ]
  * Remove one python3-setuptools-scm from B-D
  * Add python3-yaml in Depends

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 18 Jun 2022 10:47:14 -0500

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
                dh-python,
                python3-all,
 	       python3-setuptools,
-	       python3-pbr,
+	       python3-setuptools-scm,
 	       python3-mock,
 	       python3-pytest,
 	       python3-pip,
-	       python3-setuptools-scm,
-	       python3-sphinx,
+               python3-sphinx,
 	       python3-reno,
 	       python3-sphinxcontrib.programoutput,
 	       libglib2.0-dev,
 	       desktop-file-utils
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://guake-project.org
 Vcs-Git: https://salsa.debian.org/debian/guake.git
 Vcs-Browser: https://salsa.debian.org/debian/guake
@@ -24,8 +23,9 @@
 
 Package: guake
 Architecture: all
-Depends: python3-pbr,
+Depends: python3-setuptools-scm,
 	 python3-cairo,
+         python3-yaml,
 	 python3-gi-cairo,
 	 python3-gi (>= 3.26.1),
 	 python3-dbus (>= 1.2.4),

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,15 @@
 %:
 	dh $@ --with python3,sphinxdoc
 
-override_dh_auto_clean:
-	find . -type d -name '*.egg-info' | xargs rm -rf
+execute_before_dh_auto_clean:
+	find . -type d -name '*.egg-info' -exec rm -rf '{}' '+'
 	rm -rf .pytest_cache
 	rm -f guake/data/gschemas.compiled
 	rm -rf guake/paths.py guake/_version.py docs/_build
 	find po -name "*.mo" -delete
-	dh_auto_clean
 
 override_dh_sphinxdoc:
-	cd  docs/  && make man
+	$(MAKE) -C docs man
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: pytest
 Depends:
- python3-all,
+ python3,
  python3-pytest,
  python3-setuptools,
  python3-pbr,

=== debian/watch ===
version=4
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/guake/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@

## guake 3.10

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonFixImports.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonFixImports.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonFixImports"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonFixImports"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
guake (3.10-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove extranous dep. on old python3-mock

  [ Daniel Echeverri ]
  * Disable creation of glib-2.0 gschemas.compiled (Closes: #1059917)

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 28 Jan 2024 21:36:10 -0500

guake (3.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entry 0.3.1-1.

  [ William Desportes ]
  * Fix d/watch downloading URL.
  * Fix patch date.
  * Refresh patches for the next version.

  [ Daniel Echeverri ]
  * Update changelog file.
  * New upstream version 3.10.
  * Extend debian copyright holder years.
  * Bump standard versions 4.6.2.
  * debian/patches
    + Refresh 05_set_scripts_path.diff patch.
    + Change forwarded field in 04_fix_manpage_name.diff patch.
    + Add 06_dont_use_pip_to_build.diff patch.

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 21 Jun 2023 22:00:21 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                python3-all,
 	       python3-setuptools,
 	       python3-setuptools-scm,
-	       python3-mock,
 	       python3-pytest,
 	       python3-pip,
                python3-sphinx,
@@ -15,7 +14,7 @@
 	       python3-sphinxcontrib.programoutput,
 	       libglib2.0-dev,
 	       desktop-file-utils
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://guake-project.org
 Vcs-Git: https://salsa.debian.org/debian/guake.git
 Vcs-Browser: https://salsa.debian.org/debian/guake

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export PREFIX=/usr
 export DESTDIR=$(CURDIR)/debian/guake/
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
+export COMPILE_SCHEMAS=0
 
 %:
 	dh $@ --with python3,sphinxdoc

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  python3-pytest,
  python3-setuptools,
  python3-pbr,
- python3-mock,
  python3-pip,
  python3-setuptools-scm,
  python3-sphinx,

=== debian/watch ===
version=4
opts="\
    compression=xz, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/guake/@PACKAGE@/tags .*/@ANY_VERSION@\.tar\.gz

## guake 3.10.1

=== Makefile ===
.PHONY: build dev

PYTHON?=python3
PYTHON_INTERPRETER?=$(PYTHON)
MODULE:=guake
DESTDIR:=/
PREFIX?=/usr/local
exec_prefix:=$(PREFIX)
bindir = $(exec_prefix)/bin

# Use site.getsitepackages([PREFIX]) to guess possible install paths for uninstall.
PYTHON_SITEDIRS_FOR_PREFIX="env PREFIX=$(PREFIX) $(PYTHON_INTERPRETER) scripts/all-sitedirs-in-prefix.py"
ROOT_DIR=$(shell pwd)
DATA_DIR=$(ROOT_DIR)/guake/data
COMPILE_SCHEMA:=1

datarootdir:=$(PREFIX)/share
datadir:=$(datarootdir)
localedir:=$(datarootdir)/locale
gsettingsschemadir:=$(datarootdir)/glib-2.0/schemas

AUTOSTART_FOLDER:=~/.config/autostart

DEV_DATA_DIR:=$(DATA_DIR)

SHARE_DIR:=$(datadir)/guake
GUAKE_THEME_DIR:=$(SHARE_DIR)/guake
LOGIN_DESTOP_PATH = $(SHARE_DIR)
IMAGE_DIR:=$(SHARE_DIR)/pixmaps
GLADE_DIR:=$(SHARE_DIR)
SCHEMA_DIR:=$(gsettingsschemadir)

SLUG:=fragment_name

default: prepare-install
	# 'make' target, so users can install guake without need to install the 'dev' dependencies

prepare-install: generate-desktop generate-paths generate-mo compile-glib-schemas-dev

reset:
	dconf reset -f /org/guake/


all: clean dev style checks dists test docs

dev: clean-ln-venv ensure-pip pipenv-install-dev requirements ln-venv setup-githook \
	 prepare-install install-dev-locale
dev-actions: ensure-pip-system pipenv-install-dev prepare-install

ensure-pip:
	./scripts/bootstrap-dev-pip.sh

ensure-pip-system:
	./scripts/bootstrap-dev-pip.sh system

dev-no-pipenv: clean
	virtualenv --python $(PYTHON_INTERPRETER) .venv
	. .venv/bin/activate && pip install -r requirements.txt -r requirements-dev.txt -e .

pipenv-install-dev:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv install --dev --python $(PYTHON_INTERPRETER)

ln-venv:
	# use that to configure a symbolic link to the virtualenv in .venv
	rm -rf .venv
	ln -s $$(pipenv --venv) .venv

clean-ln-venv:
	@rm -f .venv

install-system: install-schemas install-locale install-guake

install-guake:
	# you probably want to execute this target with sudo:
	# sudo make install
	@echo "#############################################################"
	@echo
	@echo "Installing from source on your system is not recommended."
	@echo "Please prefer you application package manager (apt, yum, ...)"
	@echo
	@echo "#############################################################"
	@if [ "$(DESTDIR)" = "" ]; then $(PYTHON_INTERPRETER) -m pip install -r requirements.txt; fi

	@if [ `python -c "import sys; print(sys.version_info[0])"` -eq 2 ]; then SETUPTOOLS_SCM_PRETEND_VERSION=3.9.0; fi

	@rm -f guake/paths.py.dev
	@if [ -f guake/paths.py ]; then mv guake/paths.py guake/paths.py.dev; fi
	@cp -f guake/paths.py.in guake/paths.py
	@sed -i -e 's|{{ LOCALE_DIR }}|"$(localedir)"|g' guake/paths.py
	@sed -i -e 's|{{ IMAGE_DIR }}|"$(IMAGE_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ GLADE_DIR }}|"$(GLADE_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ GUAKE_THEME_DIR }}|"$(GUAKE_THEME_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ SCHEMA_DIR }}|"$(SCHEMA_DIR)"|g' guake/paths.py
	@sed -i -e 's|{{ LOGIN_DESTOP_PATH }}|"$(LOGIN_DESTOP_PATH)"|g' guake/paths.py
	@sed -i -e 's|{{ AUTOSTART_FOLDER }}|"$(AUTOSTART_FOLDER)"|g' guake/paths.py

	@$(PYTHON_INTERPRETER) -m pip install . --root "$(DESTDIR)" --prefix="/usr" || echo -e "\033[31;1msetup.py install failed, you may need to run \"sudo git config --global --add safe.directory '*'\"\033[0m"

	@rm -f guake/paths.py
	@if [ -f guake/paths.py.dev ]; then mv guake/paths.py.dev guake/paths.py; fi

	@update-desktop-database || echo "Could not run update-desktop-database, are you root?"
	@rm -rfv build *.egg-info

install-locale:
	for f in $$(find po -iname "*.mo"); do \
		l="$${f%%.*}"; \
		lb=$$(basename $$l); \
		install -Dm644 "$$f" "$(DESTDIR)$(localedir)/$$lb/LC_MESSAGES/guake.mo"; \
	done;

install-dev-locale:
	for f in $$(find po -iname "*.mo"); do \
		l="$${f%%.*}"; \
		lb=$$(basename $$l); \
		install -Dm644 "$$f" "guake/po/$$lb/LC_MESSAGES/guake.mo"; \
	done;

uninstall-locale:
	find $(DESTDIR)$(localedir)/ -name "guake.mo" -exec rm -f "{}" + || :
	# prune two levels of empty locale/ subdirs
	find "$(DESTDIR)$(localedir)" -type d -a -empty -exec rmdir "{}" + || :
	find "$(DESTDIR)$(localedir)" -type d -a -empty -exec rmdir "{}" + || :

uninstall-dev-locale:
	@rm -rf guake/po

install-schemas:
	install -dm755                                       "$(DESTDIR)$(datadir)/applications"
	install -Dm644 "$(DEV_DATA_DIR)/guake.desktop"       "$(DESTDIR)$(datadir)/applications/"
	install -Dm644 "$(DEV_DATA_DIR)/guake-prefs.desktop" "$(DESTDIR)$(datadir)/applications/"
	install -dm755                                       "$(DESTDIR)$(datadir)/metainfo/"
	install -Dm644 "$(DEV_DATA_DIR)/guake.desktop.metainfo.xml"  "$(DESTDIR)$(datadir)/metainfo/"
	install -dm755                                 "$(DESTDIR)$(IMAGE_DIR)"
	install -Dm644 "$(DEV_DATA_DIR)"/pixmaps/*.png "$(DESTDIR)$(IMAGE_DIR)/"
	install -Dm644 "$(DEV_DATA_DIR)"/pixmaps/*.svg "$(DESTDIR)$(IMAGE_DIR)/"
	install -dm755                                     "$(DESTDIR)$(PREFIX)/share/pixmaps"
	install -Dm644 "$(DEV_DATA_DIR)/pixmaps/guake.png" "$(DESTDIR)$(PREFIX)/share/pixmaps/"
	install -dm755                                           "$(DESTDIR)$(SHARE_DIR)"
	install -Dm644 "$(DEV_DATA_DIR)/autostart-guake.desktop" "$(DESTDIR)$(SHARE_DIR)/"
	install -dm755                           "$(DESTDIR)$(GLADE_DIR)"
	install -Dm644 "$(DEV_DATA_DIR)"/*.glade "$(DESTDIR)$(GLADE_DIR)/"
	install -dm755                                         "$(DESTDIR)$(SCHEMA_DIR)"
	install -Dm644 "$(DEV_DATA_DIR)/org.guake.gschema.xml" "$(DESTDIR)$(SCHEMA_DIR)/"
	if [ $(COMPILE_SCHEMA) = 1 ]; then glib-compile-schemas $(DESTDIR)$(SCHEMA_DIR); fi

uninstall-system: uninstall-schemas uninstall-locale
	$(SHELL) -c $(PYTHON_SITEDIRS_FOR_PREFIX) \
		| while read sitedir; do \
			echo "rm -rf $(DESTDIR)$$sitedir/{guake,guake-*.egg-info}"; \
			rm -rf $(DESTDIR)$$sitedir/guake; \
			rm -rf $(DESTDIR)$$sitedir/guake-*.egg-info; \
		done
	rm -f "$(DESTDIR)$(bindir)/guake"
	rm -f "$(DESTDIR)$(bindir)/guake-prefs"
	rm -f "$(DESTDIR)$(bindir)/guake-toggle"

purge-system: uninstall-system reset

uninstall-schemas:
	rm -f "$(DESTDIR)$(datadir)/applications/guake.desktop"
	rm -f "$(DESTDIR)$(datadir)/applications/guake-prefs.desktop"
	rm -f "$(DESTDIR)$(datadir)/metainfo/guake.desktop.metainfo.xml"
	rm -f "$(DESTDIR)$(datadir)/pixmaps/guake.png"
	rm -fr "$(DESTDIR)$(IMAGE_DIR)"
	rm -fr "$(DESTDIR)$(SHARE_DIR)"
	rm -f "$(DESTDIR)$(SCHEMA_DIR)/org.guake.gschema.xml"
	rm -f "$(DESTDIR)$(SCHEMA_DIR)/gschemas.compiled"

reinstall:
	sudo make uninstall && make && sudo make install && $(DESTDIR)$(bindir)/guake

reinstall-v:
	sudo make uninstall && make && sudo make install && $(DESTDIR)$(bindir)/guake -v

compile-glib-schemas-dev: clean-schemas
	glib-compile-schemas --strict $(DEV_DATA_DIR)

clean-schemas:
	rm -f $(DEV_DATA_DIR)/gschemas.compiled

style:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run pre-commit run --all-files

black:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run black $(MODULE)


checks: black-check flake8 pylint reno-lint

black-check:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run black --check $(MODULE) --extend-exclude $(MODULE)/_version.py

flake8:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run flake8 guake

pylint:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run pylint --rcfile=.pylintrc --output-format=colorized $(MODULE)

sc: style check

dists: update-po requirements prepare-install rm-dists sdist bdist wheels
build: dists

sdist: generate-paths
	export SKIP_GIT_SDIST=1 && PIPENV_IGNORE_VIRTUALENVS=1 pipenv run python setup.py sdist

rm-dists:
	rm -rf build dist

bdist: generate-paths
	# pipenv run python setup.py bdist
	@echo "Ignoring build of bdist package"

wheels: generate-paths
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run python setup.py bdist_wheel

wheel: wheels

run-local: compile-glib-schemas-dev
ifdef V
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run ./scripts/run-local.sh -v
else
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run ./scripts/run-local.sh
endif

run-local-prefs: compile-glib-schemas-dev
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run ./scripts/run-local-prefs.sh

run-fr: compile-glib-schemas-dev
	LC_ALL=fr_FR.UTF8 PIPENV_IGNORE_VIRTUALENVS=1 pipenv run ./scripts/run-local.sh


shell:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv shell


test:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run pytest $(MODULE)

test-actions:
	xvfb-run -a pipenv run pytest $(MODULE)
test-coverage:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run py.test -v --cov $(MODULE) --cov-report term-missing

test-pip-install-sdist: clean-pip-install-local generate-paths sdist
	@echo "Testing installation by pip (will install on ~/.local)"
	pip install --upgrade -vvv --user $(shell ls -1 dist/*.tar.gz | sort | head -n 1)
	ls -la ~/.local/share/guake
	~/.local/bin/guake

clean-pip-install-local:
	@rm -rfv ~/.local/guake
	@rm -rfv ~/.local/bin/guake
	@rm -rfv ~/.local/lib/python3.*/site-packages/guake
	@rm -rfv ~/.local/share/guake

test-pip-install-wheel: clean-pip-install-local generate-paths wheel
	@echo "Testing installation by pip (will install on ~/.local)"
	pip install --upgrade -vvv --user $(shell ls -1 dist/*.whl | sort | head -n 1)
	ls -la ~/.local/share/guake
	~/.local/bin/guake -v

sct: style check update-po requirements test


docs: clean-docs sdist
	cd docs && PIPENV_IGNORE_VIRTUALENVS=1 pipenv run make html

docs-open:
	xdg-open docs/_build/html/index.html

tag-pbr:
	@{ \
		set -e ;\
		export VERSION=$$(PIPENV_IGNORE_VIRTUALENVS=1 pipenv run python setup.py --version | cut -d. -f1,2,3); \
		echo "I: Computed new version: $$VERSION"; \
		echo "I: presse ENTER to accept or type new version number:"; \
		read VERSION_OVERRIDE; \
		VERSION=$${VERSION_OVERRIDE:-$$VERSION}; \
		PROJECTNAME=$$(PIPENV_IGNORE_VIRTUALENVS=1 pipenv run python setup.py --name); \
		echo "I: Tagging $$PROJECTNAME in version $$VERSION with tag: $$VERSION" ; \
		echo "$$ git tag $$VERSION -m \"$$PROJECTNAME $$VERSION\""; \
		git tag $$VERSION -m "$$PROJECTNAME $$VERSION"; \
		echo "I: Pushing tag $$VERSION, press ENTER to continue, C-c to interrupt"; \
		echo "$$ git push upstream $$VERSION"; \
	}
	@# Note:
	@# To sign, need gpg configured and the following command:
	@#  git tag -s $$VERSION -m \"$$PROJECTNAME $$VERSION\""

pypi-publish: build
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run python setup.py upload -r pypi


update:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv update --clear
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv install --dev


lock: pipenv-lock requirements

requirements:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv requirements > requirements.txt
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv requirements --dev > requirements-dev.txt

pipenv-lock:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv lock


freeze:
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run pip freeze


setup-githook:
	rm -f .git/hooks/post-commit
	PIPENV_IGNORE_VIRTUALENVS=1 pipenv run pre-commit install


push:
	git push origin --tags


clean: clean-ln-venv rm-dists clean-docs clean-po clean-schemas clean-py clean-paths uninstall-dev-locale
	@echo "clean successful"

clean-py:
	@pipenv --rm ; true
	@find . -name "*.pyc" -exec rm -f {} \;
	@rm -f $(DEV_DATA_DIR)/guake-prefs.desktop $(DEV_DATA_DIR)/guake.desktop
	@rm -rf .eggs *.egg-info po/*.pot

clean-paths:
	rm -f guake/paths.py guake/paths.py.dev

clean-po:
	@rm -f po/guake.pot
	@find po -name "*.mo" -exec rm -f {} \;

clean-docs:
	rm -rf doc/_build

update-po:
	echo "generating pot file"
	@find guake -iname "*.py" | xargs xgettext --from-code=UTF-8 --output=guake-python.pot
	@find $(DEV_DATA_DIR) -iname "*.glade" | sed -E "s#$(ROOT_DIR)/##g" | xargs xgettext --from-code=UTF-8 \
	                                                  -L Glade \
	                                                  --output=guake-glade.pot
	@(\
	    find $(DEV_DATA_DIR) -iname "*.desktop" | sed -E "s#$(ROOT_DIR)/##g" | xargs xgettext --from-code=UTF-8 \
		                                                  -L Desktop \
	                                                      --output=guake-desktop.pot \
	) || ( \

=== requirements.txt ===
-i https://pypi.python.org/simple
cython==3.0.11; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pbr==6.1.0; python_version >= '2.6'
pyyaml==6.0.2; python_version >= '3.8'
typing==3.7.4.3; python_version < '3.5'
wheel==0.45.1; python_version >= '3.8'

=== debian/changelog ===
guake (3.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump standard versions 4.7.2
    + Change homepage field to Github.
    + Remove Rules-Requires-Root field.
    + Remove python3-setuptools-scm  from Depends. (Closes: #1100953)
  * debian/copyright
    + Change source field to Github.
    + Extend debian copyright holder years.
    + Update FSF address (lintian warning fix).
  * debian/patches
    + Refresh 02_fix_data_dir_path.diff patch.
    + Refresh 03_dont_try_compile_schemas.diff patch.
    + Refresh 04_fix_manpage_name.diff patch.
    + Add 07_fix-appstream-metadata.diff.
      + Fix AppStream metadata validation issues.
  * debian/watch
    + Use version 5 format.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 25 Oct 2025 19:18:09 -0500

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,14 @@
 	       python3-sphinxcontrib.programoutput,
 	       libglib2.0-dev,
 	       desktop-file-utils
-Standards-Version: 4.6.2
-Homepage: http://guake-project.org
+Standards-Version: 4.7.2
+Homepage: https://github.com/Guake/guake
 Vcs-Git: https://salsa.debian.org/debian/guake.git
 Vcs-Browser: https://salsa.debian.org/debian/guake
-Rules-Requires-Root: no
 
 Package: guake
 Architecture: all
-Depends: python3-setuptools-scm,
-	 python3-cairo,
+Depends: python3-cairo,
          python3-yaml,
 	 python3-gi-cairo,
 	 python3-gi (>= 3.26.1),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PREFIX=/usr
 export DESTDIR=$(CURDIR)/debian/guake/
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
-export COMPILE_SCHEMAS=0
+export COMPILE_SCHEMA=0
 
 %:
 	dh $@ --with python3,sphinxdoc
@@ -22,5 +22,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst
 
+override_dh_install:
+	dh_install
+	mv $(CURDIR)/debian/guake//usr/share/metainfo/guake.desktop.metainfo.xml \
+           $(CURDIR)/debian/guake//usr/share/metainfo/org.guake.desktop.metainfo.xml
+
 override_dh_auto_test:
 	export PIPENV_IGNORE_VIRTUALENVS=0 dh_auto_test

=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Owner: guake
Project: @PACKAGE@
